Subject: bug#20611: 24.4; mutt slow in ansi-term

From: Phil Sainty <[email-masked]>
Date: Sun, 26 Jun 2016 12:50:18 +1200

The outcome of bug#23801 is that the bidi problem has been fixed in
the master branch of Emacs, such that bidi support can safely remain
enabled in term-mode without causing slowness.

That upstream fix won't be merged to the emacs-25 branch and hence
won't be in 25.1 (and may or may not be in 25.2 either); so it's
desirable for the current workaround (enforcing the left-to-right
direction for terminals) to remain in place in the emacs-25 branch.

I think the remaining question is whether we leave the workaround
as-is (affecting only the ansi-term command specifically), or
improve it to make it effective for all types of terminal.

I would like to see it moved to term-mode. Personally I am setting
the bidi value in term-mode-hook in my own config, which successfully
resolves the issue for all of my terminal use-cases.

-Phil